%define snapshot 0
%define pre rc

%ifarch %{arm} aarch64
%define build_docs 0
%else
%define build_docs 0
%endif

%define qtmajor 5
%define qtminor 15
%define qtsubminor 6

%define rel 1

%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqtbluetooth %mklibname qt5bluetooth %qtmajor
%define libqtbluetooth_d %mklibname qt5bluetooth -d

%define libqtnfc %mklibname qt5nfc %qtmajor
%define libqtnfc_d %mklibname qt5nfc -d
%define libqtnfc_p_d %mklibname qt5nfc-private -d

%if %snapshot
%define qttarballdir qtconnectivity-everywhere-src-%{qtversion}-%pre
%else
%define qttarballdir qtconnectivity-everywhere-opensource-src-%{qtversion}
%endif

Name: qtconnectivity5
Version: %{qtversion}
Release: %mkrel %{rel}
Summary: Qt Connectivity component
Group: Development/Libraries
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL: https://www.qt.io/
Source0: https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
patch0001:	0001-Fix-Linux-bluetooth-service-discovery-crash-with-mul.patch
Patch0002:      0002-Use-the-service-s-socket-protocol-info-on-Bluez-blue.patch
Patch0003:      0003-Keep-the-bluetooth-service-name-if-the-remote-has-pr.patch
Patch0004:      0004-Handle-LE-enhanced-connection-complete-in-Bluez-peri.patch
Patch0005:      0005-Add-QIODevice-canReadLine-call-to-QBluetoothSocket.patch
BuildRequires: qtbase5-devel >= %{version}
BuildRequires: pkgconfig(Qt5Quick) >= %{version}
BuildRequires: pkgconfig(Qt5Qml) >= %{version}
BuildRequires: pkgconfig(bluez)
#Branch Patchs

#Trunk Patchs

#Patch from Mageia

#Patch from Fedora
Patch0:        qt5-qtconnectivity-gcc11.patch

%description
Qt5 Connectivity component.

#------------------------------------------------------------------------------

%if %{build_docs}
%package doc
Summary: QtConnectivity%{qtmajor} APIs and tools docs
Group:   Documentation
BuildArch: noarch
BuildRequires: qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires: qttools5-assistant
Recommends: qttools5-assistant

%description doc
Documentation for APIs and tools in QtConnectivity5 package for use with
Qt Assistant.

%files doc
%{_qt5_docdir}/qtbluetooth.qch
%{_qt5_docdir}/qtbluetooth/
%{_qt5_docdir}/qtnfc.qch
%{_qt5_docdir}/qtnfc/
%endif

#------------------------------------------------------------------------------

%package -n qtbluetooth5
Summary: Qt%{qtmajor} Bluetooth Component Library
Group: System/Libraries
Requires: %{libqtbluetooth} = %{version}
Provides: qt5bluetooth = %{version}

%description -n qtbluetooth5
Qt%{qtmajor} Component Library.

The Qt Bluetooth enables connectivity between Bluetooth enabled devices.

%files -n qtbluetooth5
%{_qt5_bindir}/sdpscanner
%{_qt5_qml}/QtBluetooth

#------------------------------------------------------------------------------

%package -n %{libqtbluetooth}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Requires: bluez

%description -n %{libqtbluetooth}
Qt%{qtmajor} Component Library.

The Qt Bluetooth enables connectivity between Bluetooth enabled devices.

%files -n %{libqtbluetooth}
%{_qt5_libdir}/libQt5Bluetooth.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqtbluetooth_d}
Summary: Devel files needed to build apps based on QtBluetooth
Group: Development/Libraries
Requires: %{libqtbluetooth} = %version
Provides: libqtbluetooth5-devel = %version
Provides: libqt5bluetooth-devel = %version
Provides: qtbluetooth5-devel = %version
Provides: qt5bluetooth-devel = %version

Provides: libqtbluetooth5-private-devel = %version
Provides: libqt5bluetooth-private-devel = %version
Provides: qtbluetooth5-private-devel = %version
Provides: qt5bluetooth-private-devel = %version

%description -n %{libqtbluetooth_d}
Devel files needed to build apps based on Qt Bluetooth.

%files -n %{libqtbluetooth_d}
%{_qt5_libdir}/libQt5Bluetooth.prl
%{_qt5_libdir}/libQt5Bluetooth.so
%{_qt5_libdir}/pkgconfig/Qt5Bluetooth.pc
%{_qt5_libdir}/cmake/Qt5Bluetooth
%{_qt5_examplesdir}/bluetooth
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_bluetooth.pri
%{_qt5_includedir}/QtBluetooth/
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_bluetooth_private.pri

#------------------------------------------------------------------------------

%package -n qtnfc5
Summary: Qt%{qtmajor} Nfc Component Library
Group: System/Libraries
Requires: %{libqtnfc} = %{version}
Provides: qt5nfc = %{version}

%description -n qtnfc5
Qt%{qtmajor} Component Library.

The Qt Nfc Enables connectivity between NFC enabled devices.

%files -n qtnfc5
%{_qt5_qml}/QtNfc

#------------------------------------------------------------------------------

%package -n %{libqtnfc}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries

%description -n %{libqtnfc}
Qt%{qtmajor} Component Library.

The Qt Nfc Enables connectivity between NFC enabled devices.

%files -n %{libqtnfc}
%{_qt5_libdir}/libQt5Nfc.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqtnfc_d}
Summary: Devel files needed to build apps based on QtNfc
Group: Development/Libraries
Requires: %{libqtnfc} = %version
Provides: libqtnfc5-devel = %version
Provides: libqt5nfc-devel = %version
Provides: qtnfc5-devel = %version
Provides: qt5nfc-devel = %version

Provides: libqtnfc5-private-devel = %version
Provides: libqt5nfc-private-devel = %version
Provides: qtnfc5-private-devel = %version
Provides: qt5nfc-private-devel = %version

%description -n %{libqtnfc_d}
Devel files needed to build apps based on Qt Nfc.

%files -n %{libqtnfc_d}
%{_qt5_libdir}/libQt5Nfc.prl
%{_qt5_libdir}/libQt5Nfc.so
%{_qt5_libdir}/pkgconfig/Qt5Nfc.pc
%{_qt5_libdir}/cmake/Qt5Nfc
%{_qt5_examplesdir}/nfc
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_nfc.pri
%{_qt5_includedir}/QtNfc/
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_nfc_private.pri

#------------------------------------------------------------------------------

%prep
%setup -q -n qtconnectivity-everywhere-src-%{qtversion}
%apply_patches

%build
%qmake_qt5

RPM_BUILD_NCPUS="`/usr/bin/getconf _NPROCESSORS_ONLN`"; make -j $RPM_BUILD_NCPUS

%if %{build_docs}
%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif

# .la and .a files, die, die, die.
find %{buildroot} -name '*.la' -delete


%changelog
* Sun Sep 18 2022 tex - 5.15.6-1pclos2022
- new version